Bug 130438 - Upgrading kernels with up2date changes description from Red Hat linux Advanced Server to Red Hat Linux
Upgrading kernels with up2date changes description from Red Hat linux Advance...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: mkinitrd (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-20 11:38 EDT by Alex Bruno
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-04 09:09:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Bruno 2004-08-20 11:38:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040803

Description of problem:
When a customer first installs Advanced Server 2.1 and has the -e.3
kernel, the title line is

title Red Hat Linux Advanced Server-smp (2.4.9-e.3smp)

when upgrading to (say to a -e.43smp kernel), the title becomes

title Red Hat Linux (2.4.9-e.43smp)

Kickstart was NOT used on this box, only up2date


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install an Advanced Server 2.1 product.
2.Upgrade the kernel with Up2date
3.check the /etc/grub.conf file for the title of the kernel images.
    

Actual Results:  Red Hat Linux

Expected Results:  Red Hat Linux Advanced Server

Additional info:

Customer contacted tech support, confused...thinking that they had the
"wrong" or a "hacked" kernel, since the titles did not match.
Comment 1 Jeremy Katz 2004-08-20 12:48:10 EDT
What does the /etc/redhat-release say?  grubby updates it based
directly on what's in there.
Comment 2 Jeremy Katz 2004-11-04 09:09:48 EST
Closing due to inactivity.  Please reopen if you have further information to add
to this report.

Note You need to log in before you can comment on or make changes to this bug.